Loading...
Searching...
No Matches
ON_3dVectorArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_3dVectorArray:

## Public Member Functions

| ON_3dVectorArray ()
| ON_3dVectorArray (int)
| ON_3dVectorArray (const ON_3dVectorArray &)
ON_3dVectorArray & | operator= (const ON_3dVectorArray &)
bool | GetBBox (double boxmin[3], double boxmax[3], bool bGrowBow=false) const
bool | Transform (const ON_Xform &)
bool | SwapCoordinates (int, int)
Public Member Functions inherited from ON_SimpleArray< ON_3dVector >
| ON_SimpleArray ()
| ON_SimpleArray (int)
| ON_SimpleArray (const ON_SimpleArray< ON_3dVector > &)
virtual | ~ON_SimpleArray ()
virtual ON_SimpleArray< ON_3dVector > & | operator= (const ON_SimpleArray< ON_3dVector > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_3dVector & | operator[] (int)
ON_3dVector & | operator[] (unsigned int)
ON_3dVector & | operator[] (ON__INT64)
ON_3dVector & | operator[] (ON__UINT64)
const ON_3dVector & | operator[] (int) const
const ON_3dVector & | operator[] (unsigned int) const
const ON_3dVector & | operator[] (ON__INT64) const
const ON_3dVector & | operator[] (ON__UINT64) const
| operator ON_3dVector * ()
| operator const ON_3dVector * () const
ON_3dVector * | First ()
const ON_3dVector * | First () const
ON_3dVector * | At (int)
ON_3dVector * | At (unsigned int)
ON_3dVector * | At (ON__INT64)
ON_3dVector * | At (ON__UINT64)
const ON_3dVector * | At (int) const
const ON_3dVector * | At (unsigned int) const
const ON_3dVector * | At (ON__INT64) const
const ON_3dVector * | At (ON__UINT64) const
ON_3dVector * | Last ()
const ON_3dVector * | Last () const
ON_3dVector & | AppendNew ()
void | Append (const ON_3dVector &)
void | Append (int, const ON_3dVector *)
void | Insert (int, const ON_3dVector &)
void | Remove ()
virtual void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const ON_3dVector &) const
int | Search (const ON_3dVector *, int(*)(const ON_3dVector *, const ON_3dVector *)) const
int | BinarySearch (const ON_3dVector *, int(*)(const ON_3dVector *, const ON_3dVector *)) const
int | BinarySearch (const ON_3dVector *, int(*)(const ON_3dVector *, const ON_3dVector *), int) const
bool | HeapSort (int(*)(const ON_3dVector *, const ON_3dVector *))
bool | QuickSort (int(*)(const ON_3dVector *, const ON_3dVector *))
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_3dVector *, const ON_3dVector *)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_3dVector *, const ON_3dVector *, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | MemSet (unsigned char)
void | Reserve (int)
void | Shrink ()
void | Destroy ()
virtual ON_3dVector * | Realloc (ON_3dVector *, int)
ON_3dVector * | Array ()
const ON_3dVector * | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
ON_3dVector * | KeepArray ()
void | SetArray (ON_3dVector *)
void | SetArray (ON_3dVector *, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_SimpleArray< ON_3dVector >
void | Move (int, int, int)
Protected Attributes inherited from ON_SimpleArray< ON_3dVector >
ON_3dVector * | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 767 of file opennurbs_array.h.

## Constructor & Destructor Documentation

## ON_3dVectorArray() [1/3]

ON_3dVectorArray::ON_3dVectorArray | ( |  | ) |

## ON_3dVectorArray() [2/3]

ON_3dVectorArray::ON_3dVectorArray | ( | int |  | ) |

## ON_3dVectorArray() [3/3]

ON_3dVectorArray::ON_3dVectorArray | ( | const ON_3dVectorArray & |  | ) |

## Member Function Documentation

## GetBBox()

bool ON_3dVectorArray::GetBBox | ( | double | boxmin[3],
|  | double | boxmax[3],
|  | bool | bGrowBow = `false`
| ) |  | const

## operator=()

ON_3dVectorArray & ON_3dVectorArray::operator= | ( | const ON_3dVectorArray & |  | ) |

## SwapCoordinates()

bool ON_3dVectorArray::SwapCoordinates | ( | int | ,
|  | int |
| ) |  |

## Transform()

bool ON_3dVectorArray::Transform | ( | const ON_Xform & |  | ) |

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_array.h